# Generated by Django 3.2.13 on 2023-05-25 08:30

from django.db import migrations, models
import django_jsonform.models.fields


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0026_auto_20230320_1513'),
    ]

    operations = [
        migrations.AddField(
            model_name='pitreconfig',
            name='note',
            field=models.CharField(blank=True, default='Comunicazione spedita tramite piattaforma', help_text='Outbound document note', max_length=256, verbose_name='note'),
        ),
        migrations.AddField(
            model_name='pitreconfig',
            name='recipient_code',
            field=models.CharField(help_text='Recipient role code for inbound documents, sender for outbound documents. If not set the role used for integration will be used', max_length=32, null=True, verbose_name='recipient code'),
        ),
        migrations.AlterField(
            model_name='pitreconfig',
            name='receiver_codes',
            field=django_jsonform.models.fields.ArrayField(base_field=models.CharField(max_length=32, verbose_name='transmission receiver code'), help_text='List of role codes to transmit the creation of the project or document to', size=None, verbose_name='transmission receiver codes'),
        ),
    ]
